get
/v1/iam/service-accounts/{service_account_id}/credentialsList credentials
List all credentials for a service account
Path Parameters
service_account_id
string<uuid>requiredpath
Service Account ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Responses
200
List of credentials
Content-Type: application/json
credentials
arrayoptional401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired403
Insufficient permissions
Content-Type: application/json
error
objectrequired404
Resource not found
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/iam/service-accounts/550e8400-e29b-41d4-a716-446655440000/credentials" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
List of credentials
{"credentials": [{"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn::iam:credential:550e8400-e29b-41d4-a716-446655440000","name": "production-key","access_key_id": "AKIA550E8400E29B41D4","last_used_at": "2024-01-15T10:30:00Z","expires_at": "2024-01-15T10:30:00Z","created_at": "2024-01-15T10:30:00Z"}]}